Review a pull request

View as Markdown
Updates the [review](https://learning.postman.com/docs/collaborating-in-postman/using-version-control/reviewing-pull-requests/) status of a pull request.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

pullRequestIdstringRequired
The pull request's ID.

Request

This endpoint expects an object.
actionenumRequired

The action to perform on the pull request:

  • approve — Approve the pull request for merge.
  • decline — Decline the pull request.
  • merge — Merge the pull request into its parent element.
  • unapprove — Revokes a pull request’s approve status. This action does not decline the pull request.
commentstringOptional

If the pull request is a decline status, an optoinal comment about why the pull request was declined.

Response

Successful Response
idstring
The pull request's ID.
reviewedByobject
Information about the user who reviewed the pull request review.
statusstring

The pull request’s current review status:

  • open — The pull request is still open.
  • approved — The pull request was approved by its reviewers.
  • declined — The pull request was not approved by its reviewers.
  • merged — The pull request was merged.
updatedAtstring
The date and time at which the pull request was updated.

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error